#include "widget.h"

Widget::Widget(QWidget *parent) : QWidget(parent){
    QVBoxLayout *mainLay = new QVBoxLayout(this);

    mainLay->addWidget(firstEdit = new QLineEdit);
    mainLay->addWidget(secondEdit = new QLineEdit);
    mainLay->addWidget(thirdEdit = new QLineEdit);
    mainLay->addWidget(fourthEdit = new QLineEdit);
    mainLay->addWidget(fifthEdit = new QLineEdit);
    mainLay->addWidget(goBtn = new QPushButton);
    QObject::connect(goBtn, SIGNAL(clicked()), this, SLOT(exportToExcel()));
}

Widget::~Widget(){

}

void Widget::exportToExcel(){
    this->setCursor(Qt::WaitCursor);
    // Prepare Excel
    QAxObject *excel = new QAxObject("Excel.Application", this); //получаем указатьтель на excel
    QAxObject *workbooks = excel->querySubObject("Workbooks"); //получаем указатель на список книг
    QAxObject *workbook = workbooks->querySubObject("Open(const QString&)", "out.xls" ); // открываем файл с диска с уже созданным документом Excel и получаем указатель на книгу (Z:\\data\\out.xls)
    QAxObject *sheets = workbook->querySubObject("Sheets"); //получаем указатель список листов
    QAxObject *StatSheet = sheets->querySubObject("Item(const QVariant&)", QVariant("1") ); // получаем указатель на лист с названием “stat”
    StatSheet->dynamicCall("Select()"); //на всякий случай выбираем этот лист – это делает его видимым
    QAxObject *range = StatSheet->querySubObject("Range(const QVariant&)", QVariant( QString("A1:C10"))); //выбираем ячейку “A1:A1”

    range = StatSheet->querySubObject( "Cells(const QVariant&,const QVariant&)",QVariant(2),QVariant(3));
    range->dynamicCall("SetValue(const QVariant&)", firstEdit->text());
    range = StatSheet->querySubObject( "Cells(const QVariant&,const QVariant&)",QVariant(3),QVariant(3));
    range->dynamicCall("SetValue(const QVariant&)", secondEdit->text());
    range = StatSheet->querySubObject( "Cells(const QVariant&,const QVariant&)",QVariant(4),QVariant(3));
    range->dynamicCall("SetValue(const QVariant&)", thirdEdit->text());
    range = StatSheet->querySubObject( "Cells(const QVariant&,const QVariant&)",QVariant(5),QVariant(3));
    range->dynamicCall("SetValue(const QVariant&)", fourthEdit->text());
    range = StatSheet->querySubObject( "Cells(const QVariant&,const QVariant&)",QVariant(6),QVariant(3));
    range->dynamicCall("SetValue(const QVariant&)", fifthEdit->text());

    excel->dynamicCall( "SetVisible(bool)", TRUE ); //делаем его видимым
    this->setCursor(Qt::ArrowCursor);
    delete excel;
}
